const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    edi_global_2d_to_2d_local = arg1[48] # edi;
    st7_global_2d_to_2d_local = *arg1 # st7;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
        goto lab_0x22;
    else:;
        # 0x18;
        if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
            goto lab_0x28;
        else:;
            goto lab_0x22;
  lab_0x22: # goto label;
    v7_22 = st7_global_2d_to_2d_local + *((edi_global_2d_to_2d_local - 32)) # bp+22;
    st7_global_2d_to_2d_local = v7_22;
    j.x = v7_22;
    goto lab_0x28;
  lab_0x28: # goto label;
    # 0x28;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
        goto lab_0x3f;
    else:;
        # 0x35;
        if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
            goto lab_0x45;
        else:;
            goto lab_0x3f;
  lab_0x3f: # goto label;
    v7_3f = st7_global_2d_to_2d_local + *((edi_global_2d_to_2d_local - 56));
    st7_global_2d_to_2d_local = v7_3f;
    j.y = v7_3f;
    goto lab_0x45;
  lab_0x45: # goto label;
    # 0x45;
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
        goto lab_0x5c;
    else:;
        # 0x52;
        if __asm_fnstsw(fpsw_global_2d_to_2d_local) / 256 & 65 == 0:;
            goto lab_0x62;
        else:;
            goto lab_0x5c;
  lab_0x5c: # goto label;
    # 0x5c;
    j.z = st7_global_2d_to_2d_local + *((edi_global_2d_to_2d_local - 80));
    goto lab_0x62;
  lab_0x62: # goto label;
    return z.x_global_2d_to_2d_local;


	}